<div [ngClass]="getCssClass(menu?.labelState)">
  <ng-container *ngIf="menu?.labelState > MENU_STATE.HIDDEN">
    <div
      class="menu-label"
      (click)="labelClick()">
      <ng-content select="[label]"></ng-content>
    </div>
  </ng-container>
  <ng-container *ngIf="menu?.contentState > MENU_STATE.HIDDEN">
    <div class="menu-item-panel">
      <ng-content select="[content]"></ng-content>
    </div>
    <div class="menu-footer"></div>
  </ng-container>
</div>
